
/**
 * SampleClock.java
 */
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class:   SampleClock
 */
public class SampleClock extends SampleClock_Abstract
   {
    /**
     * Constructor: SampleClock
     * @return instance of SampleClock
     */
    public SampleClock()
       {
        super();
        Thread thread = new Thread(new ClockRunnable());
        thread.start();        
       } /* End of Constructor: SampleClock */
        
    class ClockRunnable implements Runnable
       {
        public void run()
           {
            Thread currentThread = Thread.currentThread();
            try
               {
                while (true)
                   {
                    long time = System.currentTimeMillis();
                    if (getState() != ICONIFIED)
                        get_JbcClock().setTime(time);
                    time = 1001 - (time % 1000);
                    currentThread.sleep(time);                        
                   }
               }
            catch (Exception exc)
               {
               }
           }
       }
        
    /**
     * Method: generalHandleException <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       {
        exc.printStackTrace(System.err);
       } /* End of Method: generalHandleException */

    /**
     * Method: main <br>
     * Note: Called only if we're an application. <br>
     * @param java.lang.String[] args the command line arguments
     * @return void
     */
    public static void main(java.lang.String[] args)
       {
        try
           {
            /* Set native look and feel */
            javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());

            /* Creates new MainObject */
            SampleClock self = new SampleClock();
            self.show();
           } /* End try */
        catch (java.lang.Throwable exc)
           {
            exc.printStackTrace(System.err);
           } /* End catch */
       } /* End of Method: main */

   } /* End of Class: SampleClock */



