
/**
 * SampleClock_Abstract.java
 */

/**
 * Class:   abstract SampleClock_Abstract
 */
abstract class SampleClock_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private jbc.beans.JbcClock _JbcClock;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleClock_Abstract
     */
    protected SampleClock_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleClock_Abstract
     */
    protected SampleClock_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(119,132,224,235);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample Clock");
        /* Adds Child */
        self.getContentPane().add(get_JbcClock(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_JbcClock <br>
     * @param None
     * @return Instance of jbc.beans.JbcClock
     */
    protected jbc.beans.JbcClock get_JbcClock()
       {
        if (_JbcClock == null)
           {
            _JbcClock = JbcClock_CreateInstance();
            init_JbcClock(_JbcClock);
           } /* End if */
        return _JbcClock;
       } /* End of Method: get_JbcClock */

    /**
     * Method: init_JbcClock <br>
     * @param Instance of jbc.beans.JbcClock
     * @return jbc.beans.JbcClock
     */
    protected jbc.beans.JbcClock init_JbcClock(jbc.beans.JbcClock self)
       {
        /* Bean Properties */
        self.setName("JbcClock");
        return self;
       } /* End of Method: init_JbcClock */

    /**
     * Method: JbcClock_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcClock
     */
    protected jbc.beans.JbcClock JbcClock_CreateInstance()
       {
        return new jbc.beans.JbcClock();
       } /* End of Method: JbcClock_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleClock#generalHandleException
     * This primitive method is overloaded by the "SampleClock.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleClock.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleClock_Abstract   */


