
/**
 * SampleDateChooser.java
 */
import java.lang.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class:   SampleDateChooser
 */
public class SampleDateChooser extends SampleDateChooser_Abstract
   {
    JLabel userDateComponent = new JLabel("UserDateComponent");
    /**
     * Constructor: SampleDateChooser
     * @return instance of SampleDateChooser
     */
    public SampleDateChooser()
       {
        super();                        
        get_JbcDateChooser().setUserDateComponent(userDateComponent);        
       } /* End of Constructor: SampleDateChooser */

    /**
     * Method: generalHandleException <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       {
        exc.printStackTrace(System.err);
       } /* End of Method: generalHandleException */

    /**
     * Method: main <br>
     * Note: Called only if we're an application. <br>
     * @param java.lang.String[] args the command line arguments
     * @return void
     */
    public static void main(java.lang.String[] args)
       {
        try
           {
            /* Set native look and feel */
            javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());

            /* Creates new MainObject */
            SampleDateChooser self = new SampleDateChooser();
            self.show();
           } /* End try */
        catch (java.lang.Throwable exc)
           {
            exc.printStackTrace(System.err);
           } /* End catch */
       } /* End of Method: main */

    /**
     * Method: createInstance_JbcDateChooser <br>
     * @param None
     * @return Instance of jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser createInstance_JbcDateChooser()
       {
        return new jbc.beans.JbcDateTimeChooser()           
           {            
            public void rollOverDay(javax.swing.JComponent component,java.util.Calendar calendar)
               {
                int currentDay = calendar.get(java.util.Calendar.DAY_OF_MONTH);
                int weekOfYear = calendar.get(java.util.Calendar.WEEK_OF_YEAR);
                if (component != null)
                   {
                    userDateComponent.setText("UserInfo - RollOver " + currentDay + " - week " + weekOfYear);
                    userDateComponent.setForeground(component.getForeground());
                    userDateComponent.setEnabled(component.isEnabled());
                   }         
                else
                   {
                    userDateComponent.setText("UserInfo - Selected week: " + calendar.get(Calendar.WEEK_OF_YEAR));          
                    userDateComponent.setForeground(java.awt.Color.black);
                    userDateComponent.setEnabled(true);
                   } 
               } 
            public void validateDay(javax.swing.JComponent component,java.util.Calendar calendar)
               {
                String fontName = component.getFont().getName();
                int fontSize = component.getFont().getSize();
                int currentDay = calendar.get(java.util.Calendar.DAY_OF_MONTH);
                if (currentDay == 3 || currentDay == 5 || currentDay == 7)
                   {
                    if (!component.isEnabled())
                        component.setEnabled(true);
                    if (!component.getForeground().equals(java.awt.Color.green)) 
                        component.setForeground(java.awt.Color.green);
                    java.awt.Font newFont  = new java.awt.Font(fontName,java.awt.Font.BOLD,fontSize);
                    if (!component.getFont().equals(newFont)) 
                        component.setFont(newFont);
                   } 
                else if (currentDay == 10 || currentDay == 20 || currentDay == 30)
                   {
                    if (component.isEnabled())
                        component.setEnabled(false);
                    if (!component.getForeground().equals(java.awt.Color.black))    
                        component.setForeground(java.awt.Color.black);
                    java.awt.Font newFont  = new java.awt.Font(fontName,java.awt.Font.PLAIN,fontSize);
                    if (!component.getFont().equals(newFont))    
                        component.setFont(newFont);
                   } 
                else 
                   {
                    if (!component.isEnabled())
                        component.setEnabled(true);
                    if (!component.getForeground().equals(java.awt.Color.black)) 
                        component.setForeground(java.awt.Color.black);
                    java.awt.Font newFont  = new java.awt.Font(fontName,java.awt.Font.PLAIN,fontSize);
                    if (!component.getFont().equals(newFont))    
                        component.setFont(newFont);
                   }                      
               } 
           };
       } /* End of Method: createInstance_JbcDateChooser */
       
    /**
     * Method: JbcDateChooser_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     */
    protected void JbcDateChooser_change_stateChanged(javax.swing.event.ChangeEvent evt)
       {
        Calendar calendar = get_JbcDateChooser().getCalendar();
        int year = calendar.get(Calendar.YEAR);  
        int day = calendar.get(Calendar.DAY_OF_MONTH);
        int mouth = calendar.get(Calendar.MONTH);
        get_Label().setText("Day=" + day + ", Mouth=" + mouth + ", Year=" + year);
        get_Label1().setText(get_JbcDateChooser().getDate().toString());
       } /* End of Method: JbcDateChooser_change_stateChanged */

   } /* End of Class: SampleDateChooser */



