
/**
 * SampleSpinButton_Abstract.java
 */

/**
 * Class:   abstract SampleSpinButton_Abstract
 */
abstract class SampleSpinButton_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcSpinButton _JbcSpinButton;
    private javax.swing.JLabel _Label;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleSpinButton_Abstract
     */
    protected SampleSpinButton_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleSpinButton_Abstract
     */
    protected SampleSpinButton_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,250,180);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample SpinButton");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcSpinButton());
        self.add(get_Label());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton get_JbcSpinButton()
       {
        if (_JbcSpinButton == null)
           {
            _JbcSpinButton = JbcSpinButton_CreateInstance();
            init_JbcSpinButton(_JbcSpinButton);
           } /* End if */
        return _JbcSpinButton;
       } /* End of Method: get_JbcSpinButton */

    /**
     * Method: init_JbcSpinButton <br>
     * @param Instance of jbc.beans.JbcSpinButton
     * @return jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton init_JbcSpinButton(jbc.beans.JbcSpinButton self)
       {
        /* sets Bounds */
        self.setBounds(55,44,131,21);
        self.setPreferredSize(new java.awt.Dimension(131,21));
        /* Bean Properties */
        self.setName("JbcSpinButton");
        /* Adds Listener(s) */
        self.addChangeListener(new JbcSpinButton_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcSpinButton */

    /**
     * Method: JbcSpinButton_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton JbcSpinButton_CreateInstance()
       {
        return new jbc.beans.JbcSpinButton();
       } /* End of Method: JbcSpinButton_CreateInstance */

    /**
     * Method: JbcSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleSpinButton#JbcSpinButton_change_stateChanged
     * This abstract method is overloaded by the "SampleSpinButton.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleSpinButton#JbcSpinButton_change_stateChanged
     * @see SampleSpinButton_Abstract.JbcSpinButton_ChangeAdapter
     */
    protected abstract void JbcSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleSpinButton.java" source code. */

    /**
     * Class:   JbcSpinButton_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcSpinButton_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcSpinButton_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcSpinButton_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcSpinButton_ChangeAdapter */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = Label_CreateInstance();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* sets Bounds */
        self.setBounds(3,124,235,22);
        self.setPreferredSize(new java.awt.Dimension(235,22));
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label");
        self.setText("");
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: Label_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel Label_CreateInstance()
       {
        return new javax.swing.JLabel();
       } /* End of Method: Label_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleSpinButton#generalHandleException
     * This primitive method is overloaded by the "SampleSpinButton.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleSpinButton.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleSpinButton_Abstract   */


