
/**
 * SampleStringSpinButton.java
 */
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class:   SampleStringSpinButton
 */
public class SampleStringSpinButton extends SampleStringSpinButton_Abstract
   {
    String strings[] =
       {
        "Sun","Mercury","Venus","Earth","Mars","Asteroids","Jupiter","Saturn","Uranus","Netptune","Pluto"
       };
       
    /**
     * Constructor: SampleStringSpinButton
     * @return instance of SampleStringSpinButton
     */
    public SampleStringSpinButton()
       {
        super();
        get_JbcStringSpinButton().setStrings(strings);           
       } /* End of Constructor: SampleStringSpinButton */

    /**
     * Method: generalHandleException <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       {
        exc.printStackTrace(System.err);
       } /* End of Method: generalHandleException */

    /**
     * Method: main <br>
     * Note: Called only if we're an application. <br>
     * @param java.lang.String[] args the command line arguments
     * @return void
     */
    public static void main(java.lang.String[] args)
       {
        try
           {
            /* Set native look and feel */
            javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());

            /* Creates new MainObject */
            SampleStringSpinButton self = new SampleStringSpinButton();
            self.show();
           } /* End try */
        catch (java.lang.Throwable exc)
           {
            exc.printStackTrace(System.err);
           } /* End catch */
       } /* End of Method: main */

    /**
     * Method: JbcStringSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     */
    protected void JbcStringSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt)
       {
        get_Label().setText("Value is " + get_JbcStringSpinButton().getString());
       } /* End of Method: JbcStringSpinButton_change_stateChanged */

   } /* End of Class: SampleStringSpinButton */



